%define libname %mklibname %name 1
%define develname %mklibname -d %name

Summary: Command-line tools and library for transforming PDF files
Name:    qpdf
Version: 4.0.1
Release: %mkrel 2
License: Artistic 2.0
Group:   System/Printing
URL:     http://qpdf.sourceforge.net/
Source0: http://downloads.sourceforge.net/sourceforge/qpdf/qpdf-%{version}.tar.gz

Patch0:  qpdf-size_t.patch
Patch1:  qpdf-compressed-object.patch

BuildRequires: zlib-devel
BuildRequires: pcre-devel

# for fix-qdf and test suite
BuildRequires: perl
BuildRequires: perl(Digest::MD5)

# for autoreconf
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%package -n %libname
Summary: QPDF library for transforming PDF files
Group:   System/Libraries

%package -n %develname
Summary: Development files for QPDF library
Group:   Development/C
Requires: %{libname} = %{version}-%{release}

%package doc
Summary: QPDF Manual
Group:   Documentation
BuildArch: noarch

%description
QPDF is a command-line program that does structural, content-preserving
transformations on PDF files. It could have been called something
like pdf-to-pdf. It includes support for merging and splitting PDFs
and to manipulate the list of pages in a PDF file. It is not a PDF viewer
or a program capable of converting PDF into other formats.

%description -n %libname
QPDF is a C++ library that inspect and manipulate the structure of PDF files.
It can encrypt and linearize files, expose the internals of a PDF file,
and do many other operations useful to PDF developers.

%description -n %develname
Header files and libraries necessary
for developing programs using the QPDF library.

%description doc
QPDF Manual

%prep
%setup -q

# work around gcc 4.8.0 issue on ppc64 (#915321)
%patch0 -p1 -b .size_t
# properly handle overridden compressed objects
%patch1 -p1 -b .compressed-object

%build
# work-around check-rpaths errors
autoreconf --verbose --force --install

%configure2_5x --disable-static \
           --enable-show-failed-test-output

%make

%install
%makeinstall_std

# https://fedoraproject.org/wiki/Packaging_tricks#With_.25doc
mkdir __doc
mv  %{buildroot}%{_datadir}/doc/qpdf/* __doc
rm -rf %{buildroot}%{_datadir}/doc/qpdf

%check
make check

%files
%{_bindir}/fix-qdf
%{_bindir}/qpdf
%{_bindir}/zlib-flate
%{_mandir}/man1/*

%files -n %libname
%doc README TODO ChangeLog Artistic-2.0
%{_libdir}/libqpdf*.so.*

%files -n %develname
%doc examples/*.cc examples/*.c
%{_includedir}/*
%{_libdir}/libqpdf*.so
%{_libdir}/pkgconfig/libqpdf.pc

%files doc
%doc __doc/*



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.0.1-2.mga4
+ Revision: 524051
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 4.0.1-1.mga4
+ Revision: 429875
- imported package qpdf


* Tue May 28 2013 Thierry Vignaud <tv@mageia.org> 4.0.1-1.mga4
- imported from FC
